Bug 229269

Summary: Touchbar not showing time scrubbing
Product: WebKit Reporter: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Component: MediaAssignee: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Status: RESOLVED FIXED    
Severity: Normal CC: jer.noble, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=229286
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Jean-Yves Avenard [:jya] 2021-08-18 18:26:19 PDT
Touchbar not showing time scrubbing
Comment 1 Jean-Yves Avenard [:jya] 2021-08-18 18:27:25 PDT
rdar://81349236
Comment 2 Jean-Yves Avenard [:jya] 2021-08-19 06:15:27 PDT
Created attachment 435859 [details]
Patch
Comment 3 Jer Noble 2021-08-19 17:26:16 PDT
Comment on attachment 435859 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435859&action=review

> Source/WebCore/platform/mac/WebPlaybackControlsManager.mm:93
> ++ (NSSet<NSString *> *)keyPathsForValuesAffectingCanSeek
> +{
> +    return [NSSet setWithObject:@"seekableTimeRanges"];
> +}
> +

Nit: I would put this right above -(BOOL)canSeek, rather than next to seekableTimeRanges.
Comment 4 Jean-Yves Avenard [:jya] 2021-08-19 18:08:03 PDT
Comment on attachment 435859 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435859&action=review

>> Source/WebCore/platform/mac/WebPlaybackControlsManager.mm:93
>> +
> 
> Nit: I would put this right above -(BOOL)canSeek, rather than next to seekableTimeRanges.

there's no canSeek method, it's a synthesised property.

But I'll move it above.
Comment 5 Jean-Yves Avenard [:jya] 2021-08-19 18:12:45 PDT
Created attachment 435932 [details]
Patch
Comment 6 EWS 2021-08-19 18:41:11 PDT
Committed r281288 (240712@main): <https://commits.webkit.org/240712@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435932 [details].
Comment 7 Wenson Hsieh 2021-08-20 09:26:32 PDT
Comment on attachment 435932 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435932&action=review

> Source/WebCore/platform/mac/WebPlaybackControlsManager.mm:139
> +    return [NSSet setWithObjects:@"canSeek", "contentDuration", nil];

Did you mean `@"contentDuration"`?
Comment 8 Wenson Hsieh 2021-08-20 10:12:22 PDT
Reopening to attach new patch.
Comment 9 Wenson Hsieh 2021-08-20 10:12:22 PDT
Created attachment 436005 [details]
Patch
Comment 10 EWS 2021-08-20 13:44:15 PDT
Committed r281334 (240751@main): <https://commits.webkit.org/240751@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436005 [details].
Comment 11 Jean-Yves Avenard [:jya] 2021-08-20 21:38:07 PDT
Oops

How did that compile locally I wonder.